<?php

// Register our custom blocks
function register_acf_block_types() {
	
	// register a book block.
	acf_register_block_type( array(
		'name'				=> 'book',
		'title'				=> __( 'Book' ),
		'description'		=> __( 'A custom book block.' ),
		'render_template'	=> plugin_dir_path( __FILE__ ) . 'blocks/book/book.php',
		'enqueue_style'		=> plugin_dir_url( __FILE__ ) . 'blocks/book/book.css',
		'category'			=> 'wpvegas',
		'icon'				=> 'book-alt',
		'keywords'			=> array( 'book' ),
	));
}

// Check if function exists and hook into setup.
if( function_exists( 'acf_register_block_type' ) ) {
	add_action( 'acf/init', 'register_acf_block_types' );
}