<?php
/*
Plugin Name: WP Vegas Gutenberg Example
Description: An example plugin for creating Gutenberg blocks using <a href="">Advanced Custom Fields Pro</a>
Author: John Hawkins
Version: 1.0
Author URI: https://vegasgeek.com/
Text Domain: wpvegas

ACF Blocks Documentation
https://www.advancedcustomfields.com/resources/blocks/

Dashicons
https://developer.wordpress.org/resource/dashicons/
*/

// Create our own block category
function wpvegas_add_block_categories( $categories, $post ) {

	return array_merge(
		$categories,
		array(
			array(
				'slug'  => 'wpvegas',
				'title' => esc_html__( 'WP Vegas Blocks', 'wpvegas' ),
			),
		)
	);
}
add_filter( 'block_categories', 'wpvegas_add_block_categories', 10, 2 );

// Import our blocks
require_once ( 'blocks.php' );

// Add our ACF fields
// Not how I would normally handle this, but easiest way
// to include I could think of to give you the fields
// as a starting point for development.
require_once ( 'blocks/book/book-acf-fields.php' );
